=== debian/control ===
Source: opensaml2
Section: libs
Priority: extra
Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
Uploaders: Russ Allbery <rra@debian.org>, Ferenc Wagner <wferi@niif.hu>
Build-Depends: debhelper (>= 8), autotools-dev (>= 20100122.1~), doxygen,
 graphviz, liblog4cpp5-dev, libssl-dev, libxerces-c-dev (>= 3.0.1-2~),
 libxml-security-c-dev (>= 1.6), libxmltooling-dev (>= 1.4), pkg-config
Standards-Version: 3.9.2
Homepage: https://spaces.internet2.edu/display/OpenSAML/Home
Vcs-Git: git://git.debian.org/git/pkg-shibboleth/opensaml2.git
Vcs-Browser: http://git.debian.org/?p=pkg-shibboleth/opensaml2.git

Package: libsaml7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Security Assertion Markup Language library (runtime)
 OpenSAML is an open source implementation of the OASIS Security Assertion
 Markup Language Specification. It contains a set of open source C++ classes
 that support the SAML 1.0, 1.1, and 2.0 specifications.
 .
 This package contains the files necessary for running applications that
 use the OpenSAML library.

Package: libsaml2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libsaml7 (= ${binary:Version}),
 libxmltooling-dev (>= 1.4)
Suggests: libsaml2-doc (= ${source:Version})
Conflicts: libsaml-dev
Description: Security Assertion Markup Language library (development)
 OpenSAML is an open source implementation of the OASIS Security Assertion
 Markup Language Specification. It contains a set of open source C++ classes
 that support the SAML 1.0, 1.1, and 2.0 specifications.
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use or extend the OpenSAML library.

Package: opensaml2-tools
Section: text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Security Assertion Markup Language command-line tools
 OpenSAML is an open source implementation of the OASIS Security Assertion
 Markup Language Specification. It contains a set of open source C++ classes
 that support the SAML 1.0, 1.1, and 2.0 specifications.
 .
 This package contains samlsign, a command-line tool for signing and
 verifying SAML assertions. 

Package: opensaml2-schemas
Section: text
Architecture: all
Depends: ${misc:Depends}
Conflicts: opensaml-schemas
Description: Security Assertion Markup Language library (XML schemas)
 OpenSAML is an open source implementation of the OASIS Security Assertion
 Markup Language Specification. It contains a set of open source C++ classes
 that support the SAML 1.0, 1.1, and 2.0 specifications.
 .
 This package contains the XML schema files used by the OpenSAML library.

Package: libsaml2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: Security Assertion Markup Language library (API docs)
 OpenSAML is an open source implementation of the OASIS Security Assertion
 Markup Language Specification. It contains a set of open source C++ classes
 that support the SAML 1.0, 1.1, and 2.0 specifications.
 .
 This package contains the OpenSAML library API documentation generated
 by Doxygen.
