=== debian/watch ===
version=3
http://www.shibboleth.net/downloads/c++-opensaml/(\d\.[\d.]+)/opensaml-(.*)\.tar\.gz
