## opensaml2 2.5.3

=== debian/changelog ===
opensaml2 (2.5.3-2+deb8u2build0.14.04.1) trusty-security; urgency=medium

  * fake sync from Debian

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 22 Nov 2017 11:34:54 -0800

opensaml2 (2.5.3-2+deb8u2) jessie-security; urgency=high

  * [28c33b1] Adjust my name and email in Uploaders
  * [4be47e7] New patch: Security fix from V2.6.1 (CPPOST-105)
    Thanks to Scott Cantor

 -- Ferenc Wágner <wferi@debian.org>  Tue, 14 Nov 2017 22:35:34 +0100

opensaml2 (2.5.3-2+deb8u1) jessie-security; urgency=high

  * Rebuild against fixed xmltooling for DSA 3321-1

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 05 Aug 2015 12:08:53 +0200

opensaml2 (2.5.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Russ Allbery <rra@debian.org>  Sat, 13 Jul 2013 14:06:29 -0700

opensaml2 (2.5.3-1) experimental; urgency=low

  * New upstream release.
    - Fix samlsign with -dig option.

 -- Russ Allbery <rra@debian.org>  Tue, 18 Jun 2013 14:40:01 -0700

opensaml2 (2.5.2-1) experimental; urgency=low

  * New upstream release.
    - Fix some clone and constructor methods.
    - Fix incorrect clearing of the peer entity name, forcing TrustEngine
      name matching.
    - Metadata provider now checks validity before replacing old metadata.
    - Filter IdPs that don't declare themselves "ready".
    - Support loading folders of metadata.
    - Add metadata filter that can add EntityAttribute tags.
    - Add metadata:rpi schema.
  * Add build dependency on libboost-dev.
  * Use log4shib instead of log4cpp.
  * Force build dependency on xml-security-c 1.7 or later and xmltooling
    1.5 or later for consistent build results.
  * Add Multi-Arch: same to libsaml2-dev and Multi-Arch: foreign to
    opensaml2-utils, opensaml2-schemas, and libsaml2-doc.
  * Remove version from libxerces-c-dev dependency, satisified since
    oldstable (squeeze).
  * Move single-debian-patch to local-options and patch-header to
    local-patch-header so that they only apply to the packages built from
    the canonical Git repository and NMUs get regular version-numbered
    patches.
  * Switch to xz compression for *.debian.tar and the *.deb packages.
  * Canonicalize the URLs in the Vcs-Git and Vcs-Browser control fields.
  * Remove obsolete README.source file that documented symbols file
    maintenance.
  * Update standards version to 3.9.4.
    - Update debian/copyright to specify copyright-format 1.0.

 -- Russ Allbery <rra@debian.org>  Wed, 29 May 2013 11:17:17 -0700

opensaml2 (2.4.3-4) unstable; urgency=low

  * Revert changes to add symbols file.  Due to churn in weak symbols for
    inlined functions, it doesn't appear maintainanable with existing
    tools, and for this library the shlibs behavior seems sufficient.
  * Force linking with -lpthread, working around a bug in libtool that
    drops the linkage because it uses -nostdlib.  See #468555.
  * Pass --as-needed to the linker to reduce unnecessary shared library
    dependencies.
  * Enable PIE for the opensaml2-tools binaries.
  * Strip all of the build flags added by Debian from the pkgconfig
    configuration file installed by the package.

 -- Russ Allbery <rra@debian.org>  Tue, 31 Jan 2012 17:20:53 -0800

opensaml2 (2.4.3-3) unstable; urgency=low

  * Update symbols file from the failed build logs of the remaining
    supported Debian architectures.
  * Build-Depend on pkg-kde-tools and use its symbolhelper plugin so that
    the package can use the output of pkgkde-symbolshelper.

 -- Russ Allbery <rra@debian.org>  Fri, 27 Jan 2012 22:29:13 -0800

opensaml2 (2.4.3-2) unstable; urgency=low

  * Update to debhelper compatibility level V9.
    - Enable hardening build flags.  (Closes: #656006)
    - Enable multiarch support.
  * Add symbols file constructed with pkgkde-symbolshelper.  Add a
    README.source file with a pointer to the documentation.
  * Use dh_autoreconf to regenerate the build system.  This was being done
    already, but not in a controlled way, due to timestamp issues, so just
    do it on every build.
  * Make removal of the Doxygen-installed jquery.js file conditional on
    its existence, since some versions of Doxygen don't install it.
  * Use the latest directory in debian/watch instead of the versioned
    directories.
  * Update the upstream homepage.
  * Update the upstream download location in debian/copyright.
  * Minor format updates to debian/copyright for the new DEP-5.

 -- Russ Allbery <rra@debian.org>  Fri, 27 Jan 2012 19:15:17 -0800
