=== debian/control ===
--- 
+++ 
@@ -2,17 +2,21 @@
 Section: libs
 Priority: extra
 Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
-Uploaders: Russ Allbery <rra@debian.org>, Ferenc Wagner <wferi@niif.hu>
-Build-Depends: debhelper (>= 8), autotools-dev (>= 20100122.1~), doxygen,
- graphviz, liblog4cpp5-dev, libssl-dev, libxerces-c-dev (>= 3.0.1-2~),
- libxml-security-c-dev (>= 1.6), libxmltooling-dev (>= 1.4), pkg-config
-Standards-Version: 3.9.2
-Homepage: https://spaces.internet2.edu/display/OpenSAML/Home
-Vcs-Git: git://git.debian.org/git/pkg-shibboleth/opensaml2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-shibboleth/opensaml2.git
+Uploaders:
+ Russ Allbery <rra@debian.org>,
+ Ferenc Wágner <wferi@debian.org>,
+Build-Depends: debhelper (>= 9), dh-autoreconf, doxygen, graphviz,
+ libboost-dev, liblog4shib-dev, libssl-dev, libxerces-c-dev,
+ libxml-security-c-dev (>= 1.7), libxmltooling-dev (>= 1.5), pkg-config
+Standards-Version: 3.9.4
+Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/Home
+Vcs-Git: git://anonscm.debian.org/pkg-shibboleth/opensaml2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shibboleth/opensaml2.git
 
-Package: libsaml7
+Package: libsaml8
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Security Assertion Markup Language library (runtime)
  OpenSAML is an open source implementation of the OASIS Security Assertion
@@ -25,8 +29,9 @@
 Package: libsaml2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libsaml7 (= ${binary:Version}),
- libxmltooling-dev (>= 1.4)
+Multi-Arch: same
+Depends: ${misc:Depends}, libsaml8 (= ${binary:Version}),
+ libxmltooling-dev (>= 1.5)
 Suggests: libsaml2-doc (= ${source:Version})
 Conflicts: libsaml-dev
 Description: Security Assertion Markup Language library (development)
@@ -40,6 +45,7 @@
 Package: opensaml2-tools
 Section: text
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Security Assertion Markup Language command-line tools
  OpenSAML is an open source implementation of the OASIS Security Assertion
@@ -52,6 +58,7 @@
 Package: opensaml2-schemas
 Section: text
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: opensaml-schemas
 Description: Security Assertion Markup Language library (XML schemas)
@@ -64,6 +71,7 @@
 Package: libsaml2-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, libjs-jquery
 Description: Security Assertion Markup Language library (API docs)
  OpenSAML is an open source implementation of the OASIS Security Assertion
