=== debian/watch ===
version=3
http://www.shibboleth.net/downloads/c++-opensaml/latest/opensaml-(.*)\.tar\.gz
