## opensaml2 2.5.5

=== debian/changelog ===
opensaml2 (2.5.5-1) unstable; urgency=medium

  [ Russ Allbery ]
  * [973b999] Disable forcing of libtool --silent

  [ Ferenc Wágner ]
  * [d6aeea7] Add debian/gbp.conf for DEP-14 layout
  * [470ce76] Convert our single upstream patch into a gbp patch queue
  * [ecdaabb] Run wrap-and-sort -ast on the package
  * [7b69f53] Correct my name in Uploaders
  * [3662b4c] Switch watch file to check for bzip-compressed archives
  * [b50fd9b] Check signature in watch file
  * [7cf3194] New upstream release (Closes: #794851)
  * [39cb932] Rename libsaml8 package to libsaml8v5 (Closes: #797623)
  * [f86c155] dh_auto_configure uses --disable-dependency-tracking by default
  * [17ccfe8] The default compressor is xz since jessie
  * [1a6d0e6] Enable all hardening features
  * [ea4722b] Update Standards-Version to 3.9.6 (no changes needed)
  * [fbcd266] Replacing the jquery.js embedded by Doxygen risks breaking the
    docs
  * [8752a86] No need to separate the doc-base files by extension
  * [3d02cde] Use a fresher m4/ax_create_pkgconfig_info.m4
  * [cfc875a] Ship the installed documentation, not the one from the build tree
  * [1ee8adf] Update debian/copyright

 -- Ferenc Wágner <wferi@niif.hu>  Fri, 15 Jan 2016 12:36:52 +0100

opensaml2 (2.5.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Call cpp with -P in boost config. Closes: #778047.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Jul 2015 17:15:55 +0200
