=== debian/control ===
Source: opensaml2
Section: libs
Priority: extra
Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Ferenc Wágner <wferi@niif.hu>,
Build-Depends:
# the shipped ax_create_pkgconfig_info.m4 leaks the build flags
 autoconf-archive (>= 20111221-2),
 debhelper (>= 9),
 dh-autoreconf,
 doxygen,
 graphviz,
 libboost-dev,
 liblog4shib-dev,
 libssl-dev,
 libxerces-c-dev,
 libxml-security-c-dev (>= 1.7),
 libxmltooling-dev (>= 1.5),
 pkg-config,
Standards-Version: 3.9.6
Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/Home
Vcs-Git: git://anonscm.debian.org/pkg-shibboleth/opensaml2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shibboleth/opensaml2.git

Package: libsaml8v5
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libsaml8,
Replaces:
 libsaml8,
Description: Security Assertion Markup Language library (runtime)
 OpenSAML is an open source implementation of the OASIS Security Assertion
 Markup Language Specification. It contains a set of open source C++ classes
 that support the SAML 1.0, 1.1, and 2.0 specifications.
 .
 This package contains the files necessary for running applications that
 use the OpenSAML library.

Package: libsaml2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsaml8v5 (= ${binary:Version}),
 libxmltooling-dev (>= 1.5),
 ${misc:Depends},
Suggests:
 libsaml2-doc (= ${source:Version}),
Conflicts:
 libsaml-dev,
Description: Security Assertion Markup Language library (development)
 OpenSAML is an open source implementation of the OASIS Security Assertion
 Markup Language Specification. It contains a set of open source C++ classes
 that support the SAML 1.0, 1.1, and 2.0 specifications.
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use or extend the OpenSAML library.

Package: opensaml2-tools
Section: text
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Security Assertion Markup Language command-line tools
 OpenSAML is an open source implementation of the OASIS Security Assertion
 Markup Language Specification. It contains a set of open source C++ classes
 that support the SAML 1.0, 1.1, and 2.0 specifications.
 .
 This package contains samlsign, a command-line tool for signing and
 verifying SAML assertions.

Package: opensaml2-schemas
Section: text
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Conflicts:
 opensaml-schemas,
Description: Security Assertion Markup Language library (XML schemas)
 OpenSAML is an open source implementation of the OASIS Security Assertion
 Markup Language Specification. It contains a set of open source C++ classes
 that support the SAML 1.0, 1.1, and 2.0 specifications.
 .
 This package contains the XML schema files used by the OpenSAML library.

Package: libsaml2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Security Assertion Markup Language library (API docs)
 OpenSAML is an open source implementation of the OASIS Security Assertion
 Markup Language Specification. It contains a set of open source C++ classes
 that support the SAML 1.0, 1.1, and 2.0 specifications.
 .
 This package contains the OpenSAML library API documentation generated
 by Doxygen.
