=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
  http://www.shibboleth.net/downloads/c++-opensaml/latest/opensaml-(.*)\.tar\.bz2
