## opensaml2 2.6.0

=== debian/changelog ===
opensaml2 (2.6.0-4~bpo7+1) wheezy-backports-sloppy; urgency=medium

  [ Etienne Dysli Metref ]
  * Rebuild for wheezy-backports-sloppy.
  * [759d492] New patch Provide-PKG_INSTALLDIR-and-PKG_CHECK_VAR-macros-to-build-.patch.
    Provide the two macros PKG_INSTALLDIR and PKG_CHECK_VAR which
    pkg-config < 0.27 does not have, in order to build for wheezy.
  * [b30ce9d] New patch Delete-unit-tests-that-use-the-network-wheezy-only.patch.
    Since the version of cxxtest in wheezy (4.0) does not support skipping
    tests, delete networked tests because they cannot pass in Debian's
    build environment where networking is disabled.

  [ Ferenc Wágner ]
  * [c27e68f] AM_TESTS_ENVIRONMENT does not work in wheezy

 -- Ferenc Wágner <wferi@debian.org>  Thu, 27 Oct 2016 15:21:05 +0200

opensaml2 (2.6.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * [2268d5d] Add myself to uploaders
  * [b58aca5] Force usage of backported dependencies
    - log4shib (1.0.9-3)
    - xml-security-c (1.7.3-3)
    - xmltooling (1.6.0-3)

 -- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>  Thu, 29 Sep 2016 17:38:36 +0200

opensaml2 (2.6.0-4) unstable; urgency=medium

  * [848c048] Export pkgxmldir (the correct name) via pkg-config.
    And call it pkgxmldir instead of xmldir in the configure script.
    (Closes: #836921)

 -- Ferenc Wágner <wferi@debian.org>  Wed, 07 Sep 2016 11:45:23 +0200

opensaml2 (2.6.0-3) unstable; urgency=medium

  * [1b95816] Don't ship the .map files from Doxygen
  * [67fdd97] Revert "Require experimental xmltooling for matching C++11
    strings"
    This reverts commit e726909dc35255f774e2632ee502bf92b2a00962.
    The recently uploaded xmltooling_1.6.0-2 was compiled with the same compiler
    (GCC-6, because the default has already changed in unstable) that's going to
    compile us.
  * [36839b7] Update copyright years
  * [d7b472e] Migrate to my Debian address
  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Fri, 02 Sep 2016 22:21:03 +0200

opensaml2 (2.6.0-2) experimental; urgency=medium

  * [c4900c2] Build-Depend on zlib1g-dev (not pulled in by libssl-dev >= 1.1)
    (Closes: #835790)
  * [b9c7f00] Our header files include zlib headers, so depend on them
  * [b23e409] Enable parallelism during the test steps
  * [7299078] Build-Depend explicitly on automake
    dh-autoreconf depends on automake or automaken, and the latter is provided
    by automake1.11 as well, but that does not run our tests properly.
  * [bff9592] Switch gbp dch to verbose changelog entries
  * [c536b07] Revert "New patch Don-t-generate-the-tag-file-it-
    isn-t-reproducible.patch"
    This reverts commit ff1d78066a13708deee8d1cab20f50866d1341fb.
    The tag file is used during the build as a "stamp" file; not generating it
    results in repeated Doxygen runs.
  * [e542531] The Doxygen tag file is unreproducible, don't ship it.
    It uses absolute paths for some reason, capturing the build directory.
  * [5eeb896] New patch Enable-the-dot-feature-of-Doxygen.patch.
    Enable the dot feature of Doxygen
  * [144bd63] Don't ship the .md5 files from Doxygen.
    These are generated since we use dot with Doxygen.

 -- Ferenc Wágner <wferi@niif.hu>  Thu, 01 Sep 2016 00:23:02 +0200

opensaml2 (2.6.0-1) experimental; urgency=medium

  * [35ec294] New upstream release (2.6.0)
  * [3f3833b] Enable parallel builds
  * [6cf6cf1] Fix spelling in samlsign man page: resouce -> resource
  * [b95e975] Update Standards-Version to 3.9.8 (no changes needed)
  * [16a5f09] Simplify removal of documentation files
  * [e346976] Drop superfluous libssl-dev build dependency
  * [cc53146] New patch Use-pkg-config-for-log4shib-log4cpp.patch
  * [3ada081] New patch Use-pkg-config-for-xmltooling.patch
  * [5a9ad82] New patch Use-readdir-for-portability-no-PATH_MAX.patch
  * [038186c] Rename library package for upstream SONAME bump
  * [72d47c7] Move doxygen and graphviz into Build-Depends-Indep
  * [27fddf0] Switch to secure VCS URIs
  * [bfcfbd4] Add 6 patches migrating to pkg-config fully
  * [7d272bb] Remove remnants of the old pkg-config management
  * [22eb9d9] The build system now links with the needed libraries only
  * [f95990c] Pthread seems to work correctly with libtool now
  * [2fbe084] New patch Make-pkgconfigdir-configurable.patch
  * [e1050c0] New patch Make-pkgxmldir-configurable-and-export-it-via-pkg-
    co.patch
  * [4965d41] Run the internal tests during package build
  * [e726909] Require experimental xmltooling for matching C++11 strings
  * [ff1d780] New patch Don-t-generate-the-tag-file-it-isn-t-reproducible.patch

 -- Ferenc Wágner <wferi@niif.hu>  Fri, 26 Aug 2016 15:31:53 +0200
