=== debian/control ===
--- 
+++ 
@@ -4,27 +4,30 @@
 Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
 Uploaders:
  Russ Allbery <rra@debian.org>,
- Ferenc Wágner <wferi@niif.hu>,
+ Ferenc Wágner <wferi@debian.org>,
+ Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
 Build-Depends:
-# the shipped ax_create_pkgconfig_info.m4 leaks the build flags
- autoconf-archive (>= 20111221-2),
+# have to be explicit here, automake1.11 fails the tests
+ automake,
+ cxxtest,
  debhelper (>= 9),
  dh-autoreconf,
+ libboost-dev,
+ liblog4shib-dev (>= 1.0.9-3~),
+ libxerces-c-dev,
+ libxml-security-c-dev (>= 1.7.3-3~),
+ libxmltooling-dev (>= 1.6.0-3~),
+ pkg-config,
+ zlib1g-dev,
+Build-Depends-Indep:
  doxygen,
  graphviz,
- libboost-dev,
- liblog4shib-dev,
- libssl-dev,
- libxerces-c-dev,
- libxml-security-c-dev (>= 1.7),
- libxmltooling-dev (>= 1.5),
- pkg-config,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/Home
-Vcs-Git: git://anonscm.debian.org/pkg-shibboleth/opensaml2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shibboleth/opensaml2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-shibboleth/opensaml2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-shibboleth/opensaml2.git
 
-Package: libsaml8v5
+Package: libsaml9
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -32,10 +35,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Conflicts:
- libsaml8,
-Replaces:
- libsaml8,
+ liblog4shib1 (>= 1.0.9-3~),
+ libxml-security-c17 (>= 1.7.3-3~),
 Description: Security Assertion Markup Language library (runtime)
  OpenSAML is an open source implementation of the OASIS Security Assertion
  Markup Language Specification. It contains a set of open source C++ classes
@@ -49,8 +50,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsaml8v5 (= ${binary:Version}),
- libxmltooling-dev (>= 1.5),
+ libsaml9 (= ${binary:Version}),
+ libxmltooling-dev (>= 1.6.0-3~),
+ zlib1g-dev,
  ${misc:Depends},
 Suggests:
  libsaml2-doc (= ${source:Version}),
@@ -71,6 +73,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ liblog4shib1 (>= 1.0.9-3~),
+ libxml-security-c17 (>= 1.7.3-3~),
 Description: Security Assertion Markup Language command-line tools
  OpenSAML is an open source implementation of the OASIS Security Assertion
  Markup Language Specification. It contains a set of open source C++ classes
