## opensaml2 2.6.1

=== debian/changelog ===
opensaml2 (2.6.1-1) unstable; urgency=high

  * [0c08870] New upstream release (2.6.1)
    Security fix for CVE-2017-16853:
    Rod Widdowson of Steading System Software LLP discovered a coding error in
    the OpenSAML library, causing the DynamicMetadataProvider class to fail
    configuring itself with the filters provided and omitting whatever checks
    they are intended to perform.
  * [0795c42] Refresh our patches
  * [1f742ec] Update Standards-Version to 4.1.1 (no changes needed)
  * [5bed74f] Bump XMLTooling dependency version to 1.6.
    This isn't strictly required, but the stack is always updated in
    lockstep, so why not follow the upstream spec file in this respect.

 -- Ferenc Wágner <wferi@debian.org>  Mon, 20 Nov 2017 10:46:24 +0100

opensaml2 (2.6.0-5) unstable; urgency=medium

  [ Etienne Dysli Metref ]
  * [2268d5d] Add myself to uploaders

  [ Ferenc Wágner ]
  * [7051f39] Provide a GCC 7 build with strict enough shlibs.
    The Shibboleth SP fails to build with GCC 7 with OpenSAML built with
    GCC 6, because libsaml9 embeds references to XMLTooling symbols names
    without ABI tags.  Build with GCC 7 to refresh these embedded symbols.
  * [eb53724] Follow upstream URL change in watch file
  * [255e281] Switch to using HTTPS in the debian/copyright URLs
  * [897e680] Update Standards-Version to 4.1.0.
    The "extra" priority became deprecated, promote to "optional".

 -- Ferenc Wágner <wferi@debian.org>  Sat, 09 Sep 2017 20:43:13 +0200
