=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: opensaml2
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
 Uploaders:
  Russ Allbery <rra@debian.org>,
@@ -12,17 +12,20 @@
  cxxtest,
  debhelper (>= 9),
  dh-autoreconf,
+# The shibd executable needs the new GCC 7 mangling of XMLTooling symbols,
+# some of which are provided transitively by libsaml.  Not for backports:
+ g++ (>=4:7),
  libboost-dev,
- liblog4shib-dev (>= 1.0.9-3~),
+ liblog4shib-dev,
  libxerces-c-dev,
- libxml-security-c-dev (>= 1.7.3-3~),
- libxmltooling-dev (>= 1.6.0-3~),
+ libxml-security-c-dev (>= 1.7),
+ libxmltooling-dev (>= 1.6),
  pkg-config,
  zlib1g-dev,
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://wiki.shibboleth.net/confluence/display/OpenSAML/Home
 Vcs-Git: https://anonscm.debian.org/git/pkg-shibboleth/opensaml2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-shibboleth/opensaml2.git
@@ -35,8 +38,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- liblog4shib1 (>= 1.0.9-3~),
- libxml-security-c17 (>= 1.7.3-3~),
 Description: Security Assertion Markup Language library (runtime)
  OpenSAML is an open source implementation of the OASIS Security Assertion
  Markup Language Specification. It contains a set of open source C++ classes
@@ -51,7 +52,7 @@
 Multi-Arch: same
 Depends:
  libsaml9 (= ${binary:Version}),
- libxmltooling-dev (>= 1.6.0-3~),
+ libxmltooling-dev (>= 1.6),
  zlib1g-dev,
  ${misc:Depends},
 Suggests:
@@ -73,8 +74,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- liblog4shib1 (>= 1.0.9-3~),
- libxml-security-c17 (>= 1.7.3-3~),
 Description: Security Assertion Markup Language command-line tools
  OpenSAML is an open source implementation of the OASIS Security Assertion
  Markup Language Specification. It contains a set of open source C++ classes
