=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_auto_configure -- $(DEBUG)
 
 override_dh_auto_test:
-	dh_auto_test -- SAMLTEST_SKIP_NETWORKED=1 SAMLTEST_DATA=../samltest/data
+	dh_auto_test -- SAMLTEST_SKIP_NETWORKED=1
 
 docdir = debian/tmp/usr/share/doc/opensaml-*
 override_dh_install:
@@ -29,3 +29,7 @@
 
 override_dh_installdocs:
 	dh_installdocs -A doc/NOTICE.txt doc/README.txt
+
+override_dh_makeshlibs:
+	# force the g++ >= 4:7 build prescribed in debian/control:
+	dh_makeshlibs -V'libsaml9 (>=2.6.0-5)'
