## opensaml2 3.0.0

=== debian/changelog ===
opensaml2 (3.0.0-0ubuntu2) cosmic; urgency=medium

  * Cherrypick upstream patch to fix test assertions w.r.t. new default
    hash algo.
   * Mark badsig test as requiring network, as it only passes if the huge
    ./samltest/data/saml2/metadata/InCommon-metadata.xml is downloaded
    from the internet. As it is not in fact provided in the source. It
    passes, if one downloads that file from
    md.incommon.org/InCommon/InCommon-metadata.xml
  * Bump libsaml9 abi to libsaml10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Oct 2018 00:49:39 +0100

opensaml2 (3.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release
  * Drop patches applied/superseded upstream:
    - debian/patches/Disable-forcing-of-libtool-silent.patch
    - debian/patches/Use-pkg-config-for-log4shib-log4cpp.patch
    - debian/patches/Use-pkg-config-for-xmltooling.patch
    - debian/patches/Use-readdir-for-portability-no-PATH_MAX.patch
    - debian/patches/Propagate-requirements-into-our-pkg-config-file.patch
    - debian/patches/Localize-Boost-and-pthread-library-flags.patch
    - debian/patches/Use-pkg-config-for-zlib-and-openssl.patch
    - debian/patches/We-don-t-use-OpenSSL-directly.patch
    - debian/patches/Use-pkg-config-for-Xerces.patch
    - debian/patches/Use-pkg-config-for-xmlsec.patch
    - debian/patches/Make-pkgconfigdir-configurable.patch
    - debian/patches/Make-pkgxmldir-configurable-and-export-it-via-pkg-co.patch
    - debian/patches/Check-BUILD_UNITTEST-in-the-main-Makefile.am.patch
    - debian/patches/The-.cpp-dependencies-are-well-known-no-need-to-decl.patch
    - debian/patches/Automake-automatically-includes-the-user-variable-CX.patch
    - debian/patches/Don-t-install-the-test-program-but-use-it-for-make-c.patch
    - debian/patches/Refactor-test-source-generation.patch
    - debian/patches/Enable-skipping-tests-which-require-network-access.patch
    - debian/patches/Enable-the-dot-feature-of-Doxygen.patch
  * Refresh patches:
    - debian/patches/Derive-correct-test-data-paths-from-srcdir.patch

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Sep 2018 18:02:12 -0700
