=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: opensaml2
 Section: libs
 Priority: optional
-Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
 Uploaders:
  Russ Allbery <rra@debian.org>,
  Ferenc Wágner <wferi@debian.org>,
@@ -30,7 +31,7 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-shibboleth/opensaml2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-shibboleth/opensaml2.git
 
-Package: libsaml9
+Package: libsaml10
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -51,7 +52,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsaml9 (= ${binary:Version}),
+ libsaml10 (= ${binary:Version}),
  libxmltooling-dev (>= 1.6),
  zlib1g-dev,
  ${misc:Depends},
