=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,11 @@
 docdir = debian/tmp/usr/share/doc/opensaml-*
 override_dh_install:
 	cd $(docdir) && \
-	    rm README.txt LICENSE.txt NOTICE.txt LOG4CPP.LICENSE
+	    rm -f README.txt LICENSE.txt NOTICE.txt LOG4CPP.LICENSE
 	# The tag file is unreproducible (it captures the full build path),
 	# but is used as a "stamp" file during the build.
 	cd $(docdir) && rm -f api/opensaml.tag api/html/*.md5 api/html/*.map
+	rm -f debian/tmp/usr/lib/*/libsaml.la
 	dh_install --fail-missing
 
 override_dh_installdocs:
@@ -32,4 +33,4 @@
 
 override_dh_makeshlibs:
 	# force the g++ >= 4:7 build prescribed in debian/control:
-	dh_makeshlibs -V'libsaml9 (>=2.6.0-5)'
+	dh_makeshlibs -V'libsaml10 (>= 3.0.0)'
